package com.cooleshow.teacher.adapter;

import android.widget.TextView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.cooleshow.teacher.R;
import com.cooleshow.teacher.bean.MusicSheetShareBean;

import java.util.List;

/**
 * 创建日期：2022/5/24 16:05
 *
 * @author Ryan
 * 类说明：
 */
public class ScoreShareListAdapter extends BaseQuickAdapter<MusicSheetShareBean.MusicSheetVoBean, BaseViewHolder> {

    public ScoreShareListAdapter(List<MusicSheetShareBean.MusicSheetVoBean> data) {
        super(R.layout.layout_score_share_item, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, MusicSheetShareBean.MusicSheetVoBean item) {
        TextView tv_title=helper.getView(R.id.tv_title);
        tv_title.setText(item.musicSheetName);
        TextView tv_author_name=helper.getView(R.id.tv_author_name);
        tv_author_name.setText(item.composer);
    }
}
